<?php
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die('Please do not load this page directly.');

if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
    <p><?php echo 'Please enter your password to view comments.'; ?></p>
<?php return; endif;

global $post, $user_ID, $user_identity;

$url = get_bloginfo('wpurl');
if (get_option('require_name_email'))
    $required = ' *';

?>
<div class="comment" id="comment-submit">
<a href="#" id="comments"></a>
<div class="commenthead">
<div class="commenthead-c">
<h2 class="permalink">Submit Comment</h2>
</div>
</div>
<div class="commenttext">
<?php

if ( $post->comment_status == 'open' )
{
    if ( get_option( 'comment_registration' ) && !$user_ID )
    {
        ?>
        <p>Sorry, but you have to <a href="<?php echo $url; ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">log in</a> to submit comments.</p>
        <?php
    }
    else
    {
        ?>
        <form action="<?php echo $url; ?>/wp-comments-post.php" method="post" id="commentform">
        <?php
        if ( $user_ID != 0 )
        {
            echo "<p>Logged in as <a href=\"<?php echo $url; ?>/wp-admin/profile.php\">$user_identity</a>.</p>";
        }
        else
        {
            ?>
            <p><input id="author" name="author" type="text" value="<?php echo $comment_author; ?>" tabindex="1" size="24"/>
            <label for="author"><small>Name<?php echo $required; ?></small></label><br/>
            <input id="email" name="email" type="text" value="<?php echo $comment_author_email; ?>" tabindex="2" size="24"/>
            <label for="email"><small>E-mail<?php echo $required; ?></small></label><br/>
            <input id="url" name="url" type="text" value="<?php echo $comment_author_url; ?>" tabindex="3" size="24"/>
            <label for="url"><small>Website</small></label></p>
            <?php
        }
        ?>
        <p><textarea id="comment" name="comment" rows="8" tabindex="4"></textarea></p>
        <p><small class="comment-required">* Required</small>
        <input type="submit" name="submit" id="submit" value="Submit" tabindex="5"/>
        <?php do_action('comment_form', $post->ID); ?>
        <input type="hidden" name="comment_post_ID" value="<?php the_ID(); ?>" /></p>
        </form>
        <?php
    }
}
else
{
    ?>
    <p>Sorry, but commenting on this post is disabled.</p>
    <?php
}

?>
</div>
<div class="commentfoot"></div>
</div>
<?php


if ( $comments )
{
    global $user_ID, $post;
    foreach ($comments as $comment)
    {
        ?>
        <div class="comment" id="comment-<?php comment_ID(); ?>">
        <div class="commenthead">
        <div class="commenthead-c">
        <h2 class="permalink">Comment by <?php comment_author_link(); ?></h2>
        <small>Posted on the <?php comment_time('jS \of F, Y'); ?> at
        <?php comment_time('g:i a'); ?>.</small>
        </div>
        </div>
        <div class="commenttext">
        <?php comment_text(); ?>
        </div>
        <div class="commentfoot"></div>
        </div>
        <?php
    }
}
else
{

?>

<?php

}

?>
