<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title><?php bloginfo('name'); ?>
<?php if ( is_single() ) { ?> :: Entries <?php } ?>
<?php /* if you have UltimateTagWarrior installed, the tagset will be shown if browsing tags */
if ( function_exists('UTW_ShowCurrentTagSet') && is_tag() )
{
    echo " :: Viewing posts tagged with &quot;"; UTW_ShowCurrentTagSet('tagsettextonly'); echo "&quot;";
}
?>
<?php if (is_archive()) { ?> :: Archives <?php }?>
<?php if (is_search()) { ?> :: Search results for &quot;<?php echo wp_specialchars($s, 1); ?>&quot;<?php } ?>
<?php wp_title(' :: '); ?></title>
    <link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen" />
    <?php wp_head(); ?>
</head>
<body>
<div id="content">
    <div id="menu">
        <div id="menu-left"></div>
        <ul>
            <li><h2><a href="<?php bloginfo('url'); ?>">Home</a></h2></li>
            <li><h2><a href="#">Pages</a></h2>
                <ul><?php nc_menu_list_pages('child_of=0&sort_column=menu_order&sort_order=ASC&depth=2'); ?></ul>
            </li>
            <?php
            // begin links
            ?>
            <li><h2><a href="#">Links</a></h2>
                <ul>
                    <?php
                    global $wpdb;
                    $ver = get_bloginfo('version');
                    $ver = intval(substr(str_replace('.','',$ver),0,2));
                    if ( $ver == 0 || $ver >= 21 )
                    {
                        $lcats = $wpdb->get_results("SELECT DISTINCT category_id FROM $wpdb->link2cat");
                        foreach( $lcats as $lcat )
                        {
                            echo "<li><h2><a href=\"#\">".get_cat_name($lcat->category_id)."</a></h2><ul>";
                            get_links( $lcat->category_id, '<li><h2>', '</p></li>', '</h2><p>', false, 'name', true, false, -1, false, true );
                            echo "</ul></li>";
                        }
                    } // version 2.1
                    else
                    {
                        $lcats = $wpdb->get_results("SELECT cat_id, cat_name FROM $wpdb->linkcategories");
                        foreach( $lcats as $lcat )
                        {
                            if ( count($lcats) > 1 )
                                echo "<li><h2><a href=\"#\">$lcat->cat_name</a></h2><ul>";
                            get_links( $lcat->cat_id, '<li><h2>', '</p></li>', '</h2><p>', false, 'name', true, false, -1, false, true );
                            if ( count($lcats) > 1 )
                                echo "</ul></li>";
                        }
                    } // version != 2.1 (come 2.2, this could get messy)
                    ?>
                </ul>
            </li>
            <li><h2>Search</h2>
                <ul>
                    <li>
                        <?php include(TEMPLATEPATH.'/searchform.php'); /* pretty much taken from Kubrick */ ?>
                    </li>
                </ul>
            </li>
            <li><h2><a href="<?php bloginfo('wpurl'); ?>/wp-admin">Admin</a></h2></li>
        </ul>
        <div id="menu-right"></div>
        <h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
        <div id="menu-center"><small>
        <?php
        // hack from default WP theme.
        global $numpages,$post,$posts;
        $post = $posts[0];
        $arch = "Archive for ";
        if ( is_category() ):
            echo $arch; single_cat_title();
        elseif ( is_day() ):
            echo $arch; the_time('jS \of F, Y');
        elseif ( is_month() ):
            echo $arch; the_time('F \of Y');
        elseif ( is_year() ):
            echo $arch; the_time('Y');
        elseif ( is_search() ):
            ?>Results for &quot;<?php echo wp_specialchars($s, 1); ?>&quot;<?php
        elseif ( function_exists('UTW_ShowCurrentTagSet') && is_tag() ):
            ?>Posts tagged with &quot;<?php UTW_ShowCurrentTagSet('tagsettextonly'); ?>&quot;<?php
        endif;
        $post = null;
        ?></small>
        </div>
    </div>
