<?php
get_header();
?>
<div class="entries" id="post-container">
<?php
if ( have_posts() )
{
    $odd = false;

    while ( have_posts() )
    {
        the_post();
        ?>
        <div class="entry" id="post-<?php the_id(); ?>">
        <div class="entryhead">
        <div class="entryhead-c">
        <h2 class="permalink"><a href="<?php the_permalink(); ?>">
        <?php
        the_title();
        ?></a></h2>
        <?php wp_link_pages('before=<strong>Pages: &after=</strong><br/>&next_or_number=number'); ?>
        <small>Posted by <?php the_author_posts_link(); ?> on the <?php the_time('jS \of F, Y'); ?> at
        <?php the_time('g:i a'); ?> under <?php nc_category_friendly();?>. &nbsp;<?php nc_get_tags(); ?>
        &nbsp;This post has <a href="<?php comments_link(); ?>"><?php comments_number('no comments', 'one comment', '% comments'); ?></a>.</small>
        </div>
        </div>
        <div class="entrytext">
        <?php the_content('(read more)'); ?>
        </div>
        <div class="entryfoot"></div>
        </div>
        <?php
    }
}
else
{
    ?>
    <h2 class="resulthead permalink" style="text-align: center;">No results for search &quot;<?php echo wp_specialchars($s, 1); ?>&quot;</h2>
    <?php
}
?>
</div>
<?php

nc_nav_links( );

// Since there is no sidebar, I won't bother calling this.
// However, if you do add one, it'd get called here.
// get_sidebar();
get_footer();
?>
